* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

:root {
  --color-post: #7a4dff;
  --color-directo: #0eca8f;
  --color-mezcla: #d8437c;
  --color-foley: #ff5100;
  --color-realizadores: #ffc400;
  --color-musica: #83361f;
  --color-escuela: #464646;
}

body.curso-post {
  --color-accent: var(--color-post);
}

body.curso-directo {
  --color-accent: var(--color-directo);
}

body.curso-mezcla {
  --color-accent: var(--color-mezcla);
}

body.page-escuela {
  --color-accent: var(--color-escuela);
}

body.curso-musica {
  --color-accent: var(--color-musica);
}

body.curso-realizadores {
  --color-accent: var(--color-realizadores);
}

body.curso-foley {
  --color-accent: var(--color-foley);
}


body {
  font-family: 'Manrope', sans-serif;
  font-weight: 400;
  background: #515151;
  color: #f1f1f1;
  line-height: 1.6;
}

h1, h2, h3,
.section-title,
.hero-title {
  font-family: 'Montserrat', sans-serif;
  font-weight: 800;
  text-transform: uppercase;
  letter-spacing: 0.05em;
}

h3, h4 {
  font-weight: 700;
  letter-spacing: 0.04em;
}

html {
  scroll-behavior: smooth;
  font-size: 16px;
}

@media (min-width: 1024px) {
  html {
    font-size: 18px;
  }
}

.container {
  width: 90%;
  max-width: 1150px;
  margin: auto;
}

.header .container {
  transition: padding 0.25s ease;
}

.header.scrolled .container {
  padding-top: 5px;
  padding-bottom: 5px;
}

.header.scrolled .logo img {
  height: 44px;
}

.header {
  width: 100%;
  position: sticky;
  top: 0;
  z-index: 1000;

  /* Transparencia */
  background: rgba(74, 74, 74, 0.85);

  /* Blur del contenido detrás */
  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px);

  /* Bordecito sutil que queda muy bien */
  border-bottom: 1px solid rgba(255, 255, 255, 0.08);
}

.header .btn-primary {
  padding: 18px 24px;
  line-height: 1;
  transform: translateY(-5px);
}

.nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 15px 0;
  gap: 24px;
}

.nav a {
  font-family: 'Montserrat', sans-serif;
  font-weight: 600;
  text-transform: uppercase;
  letter-spacing: 0.04em;
  font-size: 0.85rem;
}


.logo {
  font-weight: bold;
  font-size: 1.3rem;
}

.logo img {
  height: 64px;
  width: auto;
  display: block;
  transition: height 0.25s ease;
  /*filter: drop-shadow(0 2px 6px rgba(0,0,0,0.25));*/
}

/* ===== MENU BASE ===== */

.menu {
  list-style: none;
  display: flex;
  align-items: center;
  gap: 20px;
}

.menu li {
  position: relative;
}

.menu a {
  text-decoration: none;
  color: white;
  padding: 8px 4px;
  display: block;
}

/* ===== SUBMENU ===== */

.submenu {
  position: absolute;
  top: 100%;
  left: 0;
  background: linear-gradient(75deg, #339678, #0eca8f);
  list-style: none;
  padding: 10px 0;
  min-width: 220px;
  border-radius: 6px;
  box-shadow: 0 8px 20px rgba(0,0,0,0.3);

  /* oculto por defecto */
  opacity: 0;
  visibility: hidden;
  transform: translateY(10px);
  transition: 0.2s ease;
}

.submenu li a {
  padding: 10px 16px;
  font-size: 0.9rem;
}

.submenu li a:hover {
  background: #5a5a5a;
}

/* mostrar al hover */
.has-submenu:hover .submenu {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}

#docentes,
#historia {
  scroll-margin-top: 80px;
}

#postproduccion {
  scroll-margin-top: 120px;
}

#directo {
  scroll-margin-top: 120px;
}

#mezcla {
  scroll-margin-top: 120px;
}

#foley {
  scroll-margin-top: 120px;
}

/* Buttons */

.btn {
  padding: 10px 18px;
  border-radius: 6px;
  text-decoration: none;
  display: inline-block;
  margin-top: 10px;
  font-family: 'Montserrat', sans-serif;
  font-weight: 700;
  text-transform: uppercase;
  letter-spacing: 0.04em;
}

.btn-primary {
  background: linear-gradient(75deg, #AB4F98, #FB7396);
  color: white;
  border: none;
  padding: 12px 28px;
  border-radius: 6px;
  cursor: pointer;
  font-weight: 600;
  transition: transform 0.15s ease, box-shadow 0.15s ease;
}

.btn-primary:hover {
  box-shadow: 0 6px 18px rgba(0, 0, 0, 0.3);
}

.btn-outline {
  background: transparent;
  color: white;
  border: 2px solid #4fffc7be;
  padding: 12px 22px;
  border-radius: 6px;
  font-weight: 600;
  cursor: pointer;
}

.btn-outline:hover {
  box-shadow: 0 6px 18px rgba(0, 0, 0, 0.3);
}

/* Hero */

.hero {
  position: relative;
  min-height: 90vh;
  display: flex;
  align-items: center;
  color: white;
  overflow: hidden;
}


.hero-overlay {
  position: absolute;
  inset: 0;
  z-index: 1;
  background: linear-gradient(
    to bottom,
    rgba(0,0,0,0.38) 0%,
    rgba(0,0,0,0.65) 40%,
    rgba(0,0,0,0.90) 100%
  );
}

.hero-content {
  position: relative;
  z-index: 2;
  max-width: 720px;
}

.hero-label {
  font-size: 0.85rem;
  letter-spacing: 0.12em;
  text-transform: uppercase;
  opacity: 0.7;
}

.hero h1 {
  font-size: 44px;
  line-height: 1.2;
  margin-bottom: 20px;
}

.hero p {
  font-size: 18px;
  line-height: 1.5;
  margin-bottom: 32px;
  color: rgba(255,255,255,0.85);
}

.hero-buttons {
  display: flex;
  gap: 16px;
  flex-wrap: wrap;
}

.hero-slider {
  position: absolute;
  inset: 0;
  z-index: 0;
}

.hero-slider .slide {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: cover;
  opacity: 0;
  animation: heroFade 24s infinite,
             heroZoom 24s linear infinite;
  will-change: opacity, transform;
}

/*Desfase de cada imagen*/
.hero-slider .slide:nth-child(1) {
  animation-delay: 0s;
}

.hero-slider .slide:nth-child(2) {
  animation-delay: 6s;
}

.hero-slider .slide:nth-child(3) {
  animation-delay: 12s;
}

.hero-slider .slide:nth-child(4) {
  animation-delay: 18s;
}
/* Animación */
@keyframes heroFade {
  0% { opacity: 0; }
  5% { opacity: 1; }
  25% { opacity: 1; }
  30% { opacity: 0; }
  100% { opacity: 0; }
}

@keyframes heroZoom {
  0% {
    transform: scale(1);
  }
  100% {
    transform: scale(1.11);
  }
}


/* Sections */

.section {
  padding: 60px 0;
}

.section-alt {
  background: #5a5a5a;
}

.section-alt .container {
  padding-top: 20px;
}


.section h2 {
  margin-bottom: 20px;
}

.section-text {
  max-width: 700px;
  margin-bottom: 30px;
}

/* Por donde empezar */
.section-start {
  position: relative;
  background: url("img/bg-section-purple.jpg") center/cover no-repeat;
  color: white;
  overflow: hidden;
  background-attachment: fixed;
}

.section-start::before {
  content: "";
  position: absolute;
  inset: 0;
  background: linear-gradient(
    to bottom,
    rgba(0,0,0,0.5),
    rgba(0,0,0,0.75)
  );
  z-index: 0;
}

.section-start .container {
  position: relative;
  z-index: 1;
}




/* Grids */

.grid-2 {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
  gap: 20px;
}

.grid-3 {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(240px, 1fr));
  gap: 20px;
}

.grid-4 {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
  gap: 20px;
}

/*Institucional*/
.stats {
  position: relative;
  background-image: url("img/bg-stats.jpg");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  padding: 80px 0;
  color: white;
  text-align: center;
  overflow: hidden;
}

.stats::before {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(143, 143, 143, 0.486);
  z-index: 0;
}

.stats .container {
  position: relative;
  z-index: 1;
}

.stats-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(180px, 1fr));
  gap: 40px;
}

.stat h3 {
  font-size: 2.4rem;
  margin-bottom: 2px;
  font-weight: 700;
  color: #4effc7; /* tu verde principal */
  letter-spacing: 0.04em;
}

.stat p {
  font-size: 1rem;
  opacity: 0.9;
}

.stat {
  background: rgba(255, 255, 255, 0.164);
  padding: 20px;
  border-radius: 10px;
  backdrop-filter: blur(6px);
}



/* Cards */

.card {
  background: #4a4a4a;
  padding: 20px;
  border-radius: 8px;
}

.course-card {
  display: block;
  position: relative;
  border-radius: 10px;
  overflow: hidden;
  min-height: 220px;
  color: white;
  text-decoration: none;
}

.course-card:hover {
  transform: translateY(-2px);
  box-shadow: 0 8px 15px rgba(0,0,0,0.2);
  transition: all 0.2s ease;
}

.card--compact .course-duration,
.card--compact .course-modalities {
  display: none;
}

.card-internal {
  display: flex;
  flex-direction: column;
  height: 100%;
  position: relative;
  border-radius: 10px;
  overflow: hidden;
/*  min-height: 110px;
  max-height: 130px;*/
  color: white;
  text-decoration: none;
  flex-direction: column;
  justify-content: space-between;
}

.card-internal:hover {
  transform: translateY(-2px);
  box-shadow: 0 8px 15px rgba(0,0,0,0.2);
  transition: all 0.2s ease;
}

.card-accent {
  height: 12px;
  width: 100%;
  z-index: 3;
}

.card-link {
  display: inline-block;
  margin-top: 10px;
  font-weight: 600;
  color: #0eca8f;
}

.card-content {
  position: relative;
  z-index: 2;
  padding: 20px;
}


.card-overlay {
  position: absolute;
  inset: 0;
  background-size: cover;
  background-position: center;
  z-index: 1;
}

.card-overlay::before {
  content: "";
  position: absolute;
  inset: 0;
  background: linear-gradient(
    to top,
    rgba(0,0,0,0.75),
    rgba(0,0,0,0.28)
  );
}

.card-post .card-overlay::after {
  content: "";
  position: absolute;
  inset: 0;
  background: var(--color-post);
  opacity: 0.12; /* controlás intensidad acá */
}


.card-post .card-accent {
  background: var(--color-post);
}

.post-1 .card-overlay {
  background-image: url("img/card-post.jpg");
}

.post-2 .card-overlay{
  background-image: url("img/card-post2.jpg");
}

.post-3 .card-overlay{
  background-image: url("img/card-post3.jpg");
}

.card-directo .card-overlay::after {
  content: "";
  position: absolute;
  inset: 0;
  background: var(--color-directo);
  opacity: 0.12; /* controlás intensidad acá */
}

.card-directo .card-accent {
  background: var(--color-directo);
}

.card-directo .card-overlay {
  background-image: url("img/card-directo.jpg");
}

.card-directo2 .card-overlay {
  background-image: url("img/hero4.jpg");
}


.card-realizadores .card-overlay::after {
  content: "";
  position: absolute;
  inset: 0;
  background: var(--color-realizadores);
  opacity: 0.12; /* controlás intensidad acá */
}

.card-workshop-directo .card-overlay::after {
  content: "";
  position: absolute;
  inset: 0;
  background: var(--color-directo);
  opacity: 0.12; /* controlás intensidad acá */
}

.card-workshop-directo .card-accent {
  background: var(--color-directo);
}

.card-workshop-directo .card-overlay {
  background-image: url("img/hero4.jpg");
}

.card-autos .card-overlay {
  background-image: url("img/hero-autos.jpg");
  background-position: center;
}

.card-realizadores .card-overlay::after {
  content: "";
  position: absolute;
  inset: 0;
  background: var(--color-realizadores);
  opacity: 0.12; /* controlás intensidad acá */
}

.card-realizadores .card-accent {
  background: var(--color-realizadores);
}

.card-realizadores .card-overlay {
  background-image: url("img/card-realizadores.jpg");
}

.card-musica .card-overlay::after {
  content: "";
  position: absolute;
  inset: 0;
  background: var(--color-musica);
  opacity: 0.12; /* controlás intensidad acá */
}

.card-musica .card-accent {
  background: var(--color-musica);
}

.card-musica .card-overlay {
  background-image: url("img/card-musica.jpg");
}

.card-mezcla .card-overlay::after {
  content: "";
  position: absolute;
  inset: 0;
  background: var(--color-mezcla);
  opacity: 0.12; /* controlás intensidad acá */
}

.card-mezcla .card-accent {
  background: var(--color-mezcla);
}

.mezcla-1 .card-overlay {
  background-image: url("img/card-mezcla.jpg");
}

.mezcla-2 .card-overlay{
  background-image: url("img/card-mezcla2.jpg");
}

.mezcla-3 .card-overlay{
  background-image: url("img/card-mezcla3.jpg");
}

.card-foley .card-overlay::after {
  content: "";
  position: absolute;
  inset: 0;
  background: var(--color-foley);
  opacity: 0.12; /* controlás intensidad acá */
}

.card-foley .card-accent {
  background: var(--color-foley);
}

.card-foley .card-overlay {
  background-image: url("img/card-foley.jpg");
}


.tag {
  font-size: 0.8rem;
  background: #6DCAAC ;
  color: #000;
  padding: 3px 8px;
  border-radius: 4px;
  display: inline-block;
  margin-bottom: 10px;
}

.tag-advanced {
  background: #DE6697;
}

.link {
  color: #4FFFC6;
  text-decoration: none;
}

/* Graduados */
.graduates {
  background: #949494;
  padding: 70px 0;
  text-align: center;
  overflow: hidden;
}

.section-title {
  font-size: 1.8rem;
  margin-bottom: 10px;
  color: #333;
}

.section-title-soft {
  font-family: 'Manrope', sans-serif;
  font-weight: 700;
  text-transform: uppercase;
  letter-spacing: 0.05em;
  color: #333;
}


.section-subtitle {
  color: #555555;
  margin-bottom: 30px;
  font-size: 1.1rem;
  font-weight: 600;
}


.companies {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(120px, 1fr));
  gap: 30px;
  align-items: center;
  justify-items: center;
}

.companies-marquee {
  width: 100%;
  overflow: hidden;
  position: relative;
  margin-top: 40px;
}

.companies-marquee::before,
.companies-marquee::after {
  content: "";
  position: absolute;
  top: 0;
  width: 80px;
  height: 100%;
  z-index: 2;
  pointer-events: none;
}

.companies-marquee::before {
  left: 0;
  background: linear-gradient(
    to right,
    #949494,
    rgba(255, 255, 255, 0)
  );
}

.companies-marquee::after {
  right: 0;
  background: linear-gradient(
    to left,
    #949494,
    rgba(255, 255, 255, 0)
  );
}



.companies-track {
  display: flex;
  gap: 60px;
  width: max-content;
  animation: scrollCompanies 18s linear infinite;
}

@media (max-width: 768px) {
  .companies-track {
    animation-duration: 25s;
  }
}

@keyframes scrollCompanies {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(-50%);
  }
}

.companies-track img {
  height: 50px;
  width: auto;
  object-fit: contain;
  /*filter: grayscale(100%);
  opacity: 0.7;*/
  transition: 0.3s ease;
}

/*
.companies-track img:hover {
  filter: grayscale(0%);
  opacity: 1;
  transform: scale(1.05);
}*/

.companies img {
  max-width: 120px;
  max-height: 60px;
  object-fit: contain;
  filter: grayscale(100%);
  opacity: 0.7;
  transition: 0.3s ease;
}

.companies img:hover {
  filter: grayscale(0%);
  opacity: 1;
  transform: scale(1.05);
}



/* Testimonios */

.section-light {
  background: #f7f7f7;
  color: #222;
}

.section-light h2,
.section-light p {
  color: #222;
}

.testimonials {
  margin-top: 30px;
}


.testimonial-card {
  background: #ffffff;
  padding: 22px;
  border-radius: 10px;
  font-size: 0.95rem;
  line-height: 1.5;
  color: #333;
  display: flex;
  flex-direction: column;
  height: 100%;

  box-shadow: 0 8px 24px rgba(0, 0, 0, 0.08);
  transition: transform 0.2s ease, box-shadow 0.2s ease;
}

.testimonial-card:hover {
  transform: translateY(-4px);
  box-shadow: 0 14px 32px rgba(0, 0, 0, 0.12);
}

.testimonial-header {
  display: flex;
  align-items: center;
  gap: 12px;
  margin-bottom: 12px;
}

.testimonial-header img {
  width: 42px;
  height: 42px;
  border-radius: 50%;
  object-fit: cover;
}

.testimonial-header span {
  display: block;
  font-size: 0.8rem;
  color: #777;
}

/* Contenedor de badges */
.testimonial-courses {
  display: flex;
  flex-wrap: wrap;
  gap: 6px;
  margin-top: auto;
  padding-top: 12px; /* espacio respecto al texto */
}

/* Badge individual */
.course-badge {
  font-size: 0.7rem;
  padding: 3px 8px;
  border-radius: 12px;
  font-weight: 600;
  white-space: nowrap;
  border: 1px solid transparent;
}


.badge-directo {
  background: color-mix(in srgb, var(--color-directo) 12%, transparent);
  color: var(--color-directo);
  border-color: color-mix(in srgb, var(--color-directo) 35%, transparent);
}

.badge-mezcla {
  background: color-mix(in srgb, var(--color-mezcla) 12%, transparent);
  color: var(--color-mezcla);
  border-color: color-mix(in srgb, var(--color-mezcla) 35%, transparent);
}

.badge-foley {
  background: color-mix(in srgb, var(--color-foley) 12%, transparent);
  color: var(--color-foley);
  border-color: color-mix(in srgb, var(--color-foley) 35%, transparent);
}

.badge-post {
  background: color-mix(in srgb, var(--color-post) 12%, transparent);
  color: var(--color-post);
  border-color: color-mix(in srgb, var(--color-post) 35%, transparent);
}

.more-testimonials {
  text-align: center;
  margin-top: 40px;
}

.more-link {
  display: inline-block;
  font-size: 0.95rem;
  font-weight: 500;
  color: #444;
  text-decoration: none;
  border-bottom: 1px solid transparent;
  padding-bottom: 3px;
  transition: all 0.2s ease;
}

.more-link:hover {
  color: #000;
  border-bottom-color: #ccc;
}



/* CTA */

.cta {
  position: relative;
  background: url("img/bg-section-green.jpg") center/cover no-repeat;
  padding: 80px 20px;
  text-align: center;
  color: white;
  overflow: hidden;
  background-attachment: fixed;
}

.cta::before {
  content: "";
  position: absolute;
  inset: 0;
  background: linear-gradient(
    to bottom,
    rgba(0,0,0,0.4),
    rgba(0,0,0,0.75)
  );
  z-index: 0;
}


.center {
  text-align: center;
  position: relative;
  z-index: 1;
  max-width: 700px;
  margin: 0 auto;
}

/* Footer */

.footer {
  background: #3a3a3a;
  padding: 40px 20px;
  font-size: 0.9rem;
}

.footer a {
  color: #f1f1f1;
  text-decoration: none;
}

.footer-brand {
  display: flex;
  flex-direction: column;
  gap: 7px; /* controla el espacio entre logo y subtítulo */
  transform: translateY(-13px);
}

.footer-logo {
  width: 90px;   /* ajustá según el tamaño del PNG */
  max-width: 80%;
  height: auto;

  filter: grayscale(100%);
  transition: opacity 0.3s ease;
}

.footer-tagline {
  font-family: 'Manrope', sans-serif;
  font-size: 14px;
  color: #666;
  margin: 0;
  line-height: 1.3;
}

.footer-social .social-icons {
  display: flex;
  gap: 18px;
  margin-top: 10px;
}

.footer-social .social-icons a {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 48px;
  height: 48px;
  border-radius: 8px;
  transition: transform 0.2s ease, background 0.2s ease;
}


/* Estado normal: sin fondo */
.footer-social .social-icons a img {
  width: 40px;
  height: 40px;
  opacity: 1;
  transition: opacity 0.2s ease, transform 0.2s ease;
  filter: brightness(0) invert(1); /* blancos sobre fondo oscuro */
}

/* Hover */
.footer-social .social-icons a:hover {
  /*background: rgba(14, 202, 143, 0.15);*/
  transform: translateY(-1px);
  filter: saturate(0%)  brightness(150%);
}

.footer-social .social-icons a img {
  width: 40px;
  height: 40px;
  opacity: 0.9;
  transition: opacity 0.2s ease, transform 0.2s ease;
  filter: invert(80%) sepia(58%) saturate(480%) hue-rotate(95deg) brightness(100%) contrast(92%);
}




/* WhatsApp float */

.whatsapp-float {
  position: fixed;
  bottom: 20px;
  right: 20px;
  width: 60px;
  height: 60px;
  background: #25D366;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  box-shadow: 0 6px 18px rgba(0,0,0,0.3);
  z-index: 999;
  transition: transform 0.2s ease;
}

.whatsapp-float svg {
  width: 28px;
  height: 28px;
}

.whatsapp-float:hover {
  transform: scale(1.08);
}

/* =========================
   Mobile Menu
========================= */

.menu-toggle {
  display: none;
  font-size: 26px;
  cursor: pointer;
}

/* Mobile layout */
@media (max-width: 768px) {

  .logo img {
    height: 54px;
  }

  .header.scrolled .logo img {
    height: 40px;
  }

  .menu-toggle {
    display: block;
  }

  .nav-menu {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    background: #4a4a4a;

    /* Estado cerrado */
    max-height: 0;
    overflow: hidden;
    opacity: 0;
    transform: translateY(-10px);

    transition: 
      max-height 0.3s ease,
      opacity 0.25s ease,
      transform 0.25s ease;
  }

  /* Estado abierto */
  .nav-menu.active {
    max-height: 500px; /* suficiente para todo el menú */
    opacity: 1;
    transform: translateY(0);
  }

  .menu {
    flex-direction: column;
    align-items: flex-start;
    padding: 10px 0;
  }

  .menu li {
    width: 100%;
  }

  .menu a {
    padding: 12px 20px;
    display: block;
  }

  /* Submenus en mobile */
  .submenu {
    position: static;
    opacity: 1;
    visibility: visible;
    transform: none;
    display: none;
    box-shadow: none;
    border-radius: 0;
    padding-left: 10px;
  }

  .submenu.active {
    display: block;
  }

  .hero {
    min-height: 80vh;
  }

  .hero h1 {
    font-size: 32px;
  }

  .hero p {
    font-size: 16px;
  }

  .section-hero-inner {
    padding: 100px 0 60px 0;
  }

  .category-card {
    padding: 25px 20px;
    border-radius: 14px;
  }

  .card-content h3 {
    font-size: 16px;
    line-height: 1.3;
  }

  .modality-badge {
    font-size: 11px;
    padding: 3px 6px;
  }

  .modalidades-card {
    padding: 30px 20px;
    max-width: 100%;
  }

  .section-modalidades {
    background-attachment: scroll;
  }

  .modalidades-grid {
    grid-template-columns: 1fr !important;
    gap: 20px;
  }

  .descuentos-grid {
    grid-template-columns: 1fr !important; /* una sola columna */
    gap: 30px;
  }

  .descuentos-logos {
    padding-left: 0; /* por si habías agregado separación lateral */
    text-align: center;
  }


  .logos-grid {
    grid-template-columns: repeat(2, 1fr) !important;
    column-gap: 10px;
    row-gap: 12px;
  }

  .logos-grid img {
    max-width: 100px;
  }

  .content-card {
    padding: 30px 22px;
  }

  .curso-info-grid {
    grid-template-columns: 1fr !important;
    gap: 25px;
  }

}

/* =========================
   PAGINAS DE CURSOS
========================= */

.hero-title-xl {
  font-family: 'Montserrat', sans-serif;
  font-weight: 800;
  font-size: clamp(64px, 10vw, 120px);
  line-height: 0.9;
  letter-spacing: -2px;
  margin-bottom: 10px;
  overflow-wrap: break-word;
  word-wrap: break-word;
}

.section-hero-inner h3 {
  font-size: clamp(18px, 2vw, 28px);
  font-weight: 500;
  margin-bottom: 15px;
}

.section-hero-inner {
  position: relative;
  padding: 120px 0 80px 0;
  min-height: 420px;

  display: flex;
  align-items: center;
  color: #fff;

   background-size: cover;
  background-position: center 20%;
  background-repeat: no-repeat;
}

.section-hero-inner::before {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.65);
}

.section-hero-inner .container {
  position: relative;
  z-index: 1;
}

.section-hero-cursos {
   background-image: url("img/bg-hero-cursos.jpg");
}

.section-hero-especializacion {
   background-image: url("img/bg-hero-especializacion.jpg");
}

.section-hero-post1 {
   background-image: url("img/card-post.jpg");
}

.section-hero-post2 {
   background-image: url("img/card-post2.jpg");
}

.section-hero-post3 {
   background-image: url("img/card-post3.jpg");
}

.section-hero-directo {
   background-image: url("img/card-directo.jpg");
}

.section-hero-directo2 {
   background-image: url("img/hero4.jpg");
}

.section-hero-workshop-directo {
   background-image: url("img/hero4.jpg");
}

.section-hero-musica {
   background-image: url("img/card-musica.jpg");
}

.section-hero-realizadores {
   background-image: url("img/card-realizadores.jpg");
}

.section-hero-mezcla1 {
   background-image: url("img/card-mezcla.jpg");
}

.section-hero-mezcla2 {
   background-image: url("img/card-mezcla2.jpg");
}

.section-hero-mezcla3 {
   background-image: url("img/card-mezcla3.jpg");
}

.section-hero-mezcla3 {
  background-image: url("img/card-mezcla3.jpg");
  background-position: center;
}

.section-hero-workshop-autos {
  background-image: url("img/hero-autos.jpg");
  background-position: center;
}


.hero-title-long {
  font-size: 6rem;
  line-height: 0.9;
}

@media (max-width: 768px) {
  .hero-title-long {
    font-size: 3rem;
  }
}

@media (min-width: 1024px) {
  .section-hero-mezcla3 {
    background-position: center 60%;
  }
}

.section-hero-foley {
   background-image: url("img/card-foley.jpg");
}



.curso-accent {
  height: 24px;
  background: var(--color-post);
  box-shadow: 0 2px 6px rgba(0,0,0,0.15);
}

.curso-post .curso-accent {
  background: var(--color-post);
}

.curso-directo .curso-accent {
  background: var(--color-directo);
}

.curso-mezcla .curso-accent {
  background: var(--color-mezcla);
}

.curso-musica .curso-accent {
  background: var(--color-musica);
}

.curso-realizadores .curso-accent {
  background: var(--color-realizadores);
}

.curso-foley .curso-accent {
  background: var(--color-foley);
}


/*DESCRIPICON CURSOS*/

.content-card {
  background: #fff;
  border-radius: 18px;
  padding: 50px;
  box-shadow: 0 15px 40px rgba(0, 0, 0, 0.06);

  max-width: 1000px;   /* clave para legibilidad */
  margin: 0 auto;
}

.content-card p {
  line-height: 1.7;
  margin-bottom: 18px;
  color: #444;
}

.content-card h2 {
  margin-bottom: 20px;
}

.content-card h3 {
  margin-top: 30px;
  margin-bottom: 12px;
}

.content-card ul {
  padding-left: 20px;
}

.content-card li {
  margin-bottom: 8px;
}

/*MODALIDADES*/

.section-modalidades {
  position: relative;
  padding: 60px 0;

  background-image: url("img/bg-section-purple.jpg");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  background-attachment: fixed; /* parallax */
}

.section-modalidades::before {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(0,0,0,0.65);
}

.section-modalidades .container {
  position: relative;
  z-index: 1;
}

.modalidades-card {
  background: #fff;
  border-radius: 18px;
  padding: 40px;
  box-shadow: 0 15px 40px rgba(44, 44, 44, 0.08);

  /*max-width: 720px;*/
  margin: 0 auto; /* centra */
  /*text-align: center;*/
}

.modalidades-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 30px;
}

.modalidad-item h3 {
  font-size: 18px;
  letter-spacing: 1px;
  text-transform: uppercase;
  margin-bottom: 6px;
  color: #333;
}

.modalidad-item p {
  font-size: 16px;
  line-height: 1.5;
  margin: 0;
  color: #555;
}

/*====== CURSOS =======*/

.course-category {
  margin-bottom: 70px;
}
.category-header {
  /*max-width: 700px;*/
  margin-bottom: 30px;
}

.category-header h2 {
  font-family: 'Montserrat', sans-serif;
  font-size: 28px;
  margin-bottom: 10px;
  color: #222;
}

.category-header .section-text {
  color: #666;
  font-size: 16px;
  line-height: 1.5;
}

/* Espacio entre categorías */
.course-category {
  margin-bottom: 40px;
}

/* La gran card blanca */
.category-card {
  background: #ffffff;
  border-radius: 18px;
  padding: 40px 28px;
  box-shadow: 0 10px 30px rgba(0,0,0,0.05);
  transition: transform 0.2s ease, box-shadow 0.2s ease;
}


/* Contenedor de badges de modalidades*/
.course-modalities {
  display: flex;
  flex-wrap: wrap;
  gap: 8px;
  margin: 10px 0 6px 0;
}

/* Badge general */
.modality-badge {
  display: inline-flex;
  align-items: center;
  gap: 6px;

  font-size: 12px;
  font-weight: 600;
  font-family: 'Manrope', sans-serif;

  padding: 4px 8px;
  border-radius: 6px;
  max-width: 100%;
  box-sizing: border-box;

  /*background: #f1f3f5;*/
  color: #FFF;
}

/* Ícono */
.modality-badge img {
  width: 18px;
  height: 18px;
  filter: invert(100%);
}

/*------- INFO CURSOS ------ */
.info-card {
  background: #fff;
  border-radius: 18px;
  padding: 28px 46px;
  box-shadow: 0 15px 40px rgba(0,0,0,0.06);
  max-width: 1000px;
  margin: 0 auto;
}

.curso-info-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  column-gap: 40px;
  row-gap: 14px;   /* antes era grande */
}

.info-highlight-band {
   background: var(--color-accent);   /* color del curso */
  color: #fff !important;

  font-size: 18px;
  font-weight: 600;
  line-height: 1.3;

  text-align: left;

  padding: 14px 36px;     
  margin: 16px -46px 24px -46px; /* mismo padding lateral que la card */
}

.info-item {
  display: flex;
  flex-direction: column;
  gap: 2px;
  padding-left: 12px;
  border-left: 3px solid var(--color-accent); /* o tu color principal */
}

.info-value {
  font-size: 20px;
  font-weight: 600;
  line-height: 1.2;
}

.info-label {
  font-size: 13px;
  color: #777;
  margin: 0;
}

.highlight .info-value {
  color: var(--color-accent); /* tu color principal */
  font-weight: 700;
}

.info-item h3 {
  font-size: 14px;
  margin-bottom: 2px;   /* antes 6–10px */
  text-transform: uppercase;
  letter-spacing: 0.5px;
  opacity: 0.7;
}

.info-item p {
  font-size: 18px;      /* que el dato sea protagonista */
  font-weight: 600;
  margin: 0;
}

/* DESCUENTOS */
.section-descuentos {
  padding: 40px 0;
  background-color: #3a3a3a;
}

.descuentos-texto p {
  font-size: 14px;
  margin-bottom: 10px;
}


.descuentos-grid {
  display: grid;
  grid-template-columns: 1.2fr 1fr;
  gap: 60px;
  align-items: center;
}

.descuentos-logos {
  text-align: center;
  padding-left: 20px;
}

.descuentos-botones {
  display: flex;
  gap: 12px;
  margin-top: 10px;
}

.descuentos-botones .btn {
  flex: 1;
  text-align: center;
  padding: 10px 16px;
  font-size: 0.85rem;
}

@media (max-width: 480px) {
  .descuentos-botones {
    flex-direction: column;
  }
}

.logos-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  column-gap: 18px;   /* espacio horizontal */
  row-gap: 15px;     /* espacio vertical */
}

.logos-grid img {
  max-width: 120px;
  max-height: 45px;
  height: auto;
  opacity: 0.8;
  transition: opacity 0.2s ease, transform 0.2s ease;
}


/* ESCUELA */

.section-hero-escuela {
  background-image: url("img/hero-docentes.jpg");
  min-height: auto;
  padding: 90px 0 70px;
}

.section-hero-escuela h1 {
  font-size: 3em;
}

.section-hero-escuela p {
  max-width: 800px;
}

.section-docentes .section-title {
  font-size: 1.8em;
  font-weight: 800;
  color: var(--color-dark);
  margin-bottom: 5px;
}

.section-docentes .section-intro {
  max-width: 800px;
  margin-bottom: 60px;
  opacity: 0.9;
}

.docentes-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 60px 30px;
}

.docente-card img {
  width: 100%;
  aspect-ratio: 7 / 8;
  object-fit: cover;
  border-radius: 18px;
  margin-bottom: 15px;
  filter: grayscale(100%) contrast(1.1) brightness(0.95);;
  transition: filter 0.3s ease;
}


.docente-card img:hover {
  filter: grayscale(0%);
}

.docente-card h3 {
  font-size: 1.1em !important;
  margin-bottom: 5px;
}

.docente-area {
  font-size: 0.9em;
  font-weight: 600;
  margin-bottom: 6px;
}

.docente-desc {
  font-size: 0.9em;
  line-height: 1.4;
  opacity: 0.85;
}

/*
.historia-grid {
  display: grid;
  grid-template-columns: 1fr 1.5fr;
  gap: 30px;
  align-items: start;
  margin-bottom: 50px;
}*/

/* bloque invertido */
/*
.historia-invertida {
  grid-template-columns: 1.5fr 1fr;
}

.historia-invertida img {
  order: 2;
}*/

.historia-card {
  max-width: 1000px;   /* clave para legibilidad */
}

.historia-card p {
  line-height: 1.7;
  text-align: justify;
  hyphens: auto;
}

/*
.historia-grid img {
  width: 100%;
  border-radius: 8px;
  box-shadow: 0 10px 25px rgba(0,0,0,0.18);
}*/

.historia-fotos {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 20px;
  margin: 25px 0;
}

.historia-fotos img {
  width: 100%;
  aspect-ratio: 4 / 2;
  object-fit: cover;
  border-radius: 8px;
  display: block;
}

.historia-fotos figure {
  margin: 0;
}

.historia-fotos figcaption {
  font-size: 0.85em;
  color: #666;
  margin-top: 6px;
  line-height: 1.4;
}

.lead {
  font-size: 1.1em;
  font-weight: 500;
}

@media (max-width: 1000px) {
  .docentes-grid {
    grid-template-columns: repeat(3, 1fr);
  }
}

@media (max-width: 768px) {
  .docentes-grid {
    grid-template-columns:  repeat(2, 1fr);
   }
   
  .historia-card p {
    text-align: left;
  }
  
   /*.historia-grid {
    grid-template-columns: 1fr;
  }*/
    .historia-fotos {
    grid-template-columns: 1fr;
  }
}

